<template>
  <div class="mh-page">
    <section class="mh-page__section">
      <h3 class="mh-page__section-title">
        {{ $t('page.section.button.title') }}
      </h3>
      <mh-button>
        {{ $t('page.section.button.text') }}
      </mh-button>
    </section>

    <section class="mh-page__section">
      <h3 class="mh-page__section-title">
        {{ $t('page.section.checkbox.title') }}
      </h3>
      <mh-checkbox :label="$t('page.section.checkbox.label')" />
    </section>

    <section class="mh-page__section">
      <h3 class="mh-page__section-title">
        {{ $t('page.section.input.title') }}
      </h3>
      <mh-text-field :placeholder="$t('page.section.input.placeholder')" />
    </section>

    <section class="mh-page__section">
      <h3 class="mh-page__section-title">
        {{ $t('page.section.select.title') }}
      </h3>
      <mh-select :options="selectOptions" />
    </section>
  </div>
</template>

<script>
import MhButton from '@/components/controls/button'
import MhCheckbox from '@/components/controls/checkbox'
import MhTextField from '@/components/controls/input'
import MhSelect from '@/components/controls/select'

export default {
  name: 'MhPage',

  components: {
    MhButton,
    MhCheckbox,
    MhTextField,
    MhSelect
  },

  computed: {
    selectOptions() {
      return [
        { value: 1, text: this.$t('page.section.select.option.one') },
        { value: 2, text: this.$t('page.section.select.option.two') },
        { value: 3, text: this.$t('page.section.select.option.three') },
        { value: 4, text: this.$t('page.section.select.option.four') }
      ]
    }
  }
}
</script>

<style lang="scss" scope>
.mh-page {
  box-sizing: border-box;
  width: 100%;
  padding: 0 $base-layout-padding;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;

  &__section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    &-title {
      margin: 10px 0;
    }
  }
}
</style>
